<?php
/**
 * Test with Mystifly for 'http://onepointdemo.myfarebox.com/V2/OnePoint.svc?wsdl'
 * @package Mystifly
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-30
 */
ini_set('memory_limit','512M');
ini_set('display_errors',true);
error_reporting(-1);
/**
 * Load autoload
 */
require_once dirname(__FILE__) . '/MystiflyAutoload.php';
/**
 * Wsdl instanciation infos. By default, nothing has to be set.
 * If you wish to override the SoapClient's options, please refer to the sample below.
 * 
 * This is an associative array as:
 * - the key must be a MystiflyWsdlClass constant beginning with WSDL_
 * - the value must be the corresponding key value
 * Each option matches the {@link http://www.php.net/manual/en/soapclient.soapclient.php} options
 * 
 * Here is below an example of how you can set the array:
 * $wsdl = array();
 * $wsdl[MystiflyWsdlClass::WSDL_URL] = 'http://onepointdemo.myfarebox.com/V2/OnePoint.svc?wsdl';
 * $wsdl[MystiflyWsdlClass::WSDL_CACHE_WSDL] = WSDL_CACHE_NONE;
 * $wsdl[MystiflyWsdlClass::WSDL_TRACE] = true;
 * $wsdl[MystiflyWsdlClass::WSDL_LOGIN] = 'myLogin';
 * $wsdl[MystiflyWsdlClass::WSDL_PASSWD] = '**********';
 * etc....
 * Then instantiate the Service class as: 
 * - $wsdlObject = new MystiflyWsdlClass($wsdl);
 */
/**
 * Examples
 */



// sample call for MystiflyServiceEnd::EndSession()
//if($mystiflyServiceEnd->EndSession(new MystiflyStructEndSession(/*** update parameters list ***/)))
  //  print_r($mystiflyServiceEnd->getResult());
//else
  //  print_r($mystiflyServiceEnd->getLastError());

/********************************
 * Example for MystiflyServiceAir
 */
 
$searchApi = '<?xml version="1.0" encoding="utf-16"?>
<AirLowFareSearchRQ xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <SessionId>17f14f0c-4d7c-48f6-9ee1-0106b65ca20e</SessionId>
  <OriginDestinationInformations>
    <OriginDestinationInformation>
      <DepartureDateTime>2017-08-10T00:00:00</DepartureDateTime>
      <OriginLocationCode>GLA</OriginLocationCode>
      <DestinationLocationCode>STN</DestinationLocationCode>
    </OriginDestinationInformation>
    <OriginDestinationInformation>
      <DepartureDateTime>2017-08-22T00:00:00</DepartureDateTime>
      <OriginLocationCode>STN</OriginLocationCode>
      <DestinationLocationCode>GLA</DestinationLocationCode>
    </OriginDestinationInformation>
  </OriginDestinationInformations>
  <TravelPreferences>
    <MaxStopsQuantity>All</MaxStopsQuantity>
    <CabinPreference>Y</CabinPreference>
    <Preferences>
      <CabinClassPreference>
        <CabinType>Y</CabinType>
        <PreferenceLevel>Restricted</PreferenceLevel>
      </CabinClassPreference>
    </Preferences>
    <AirTripType>Return</AirTripType>
  </TravelPreferences>
  <PricingSourceType>All</PricingSourceType>
  <IsRefundable>false</IsRefundable>
  <PassengerTypeQuantities>
    <PassengerTypeQuantity>
      <Code>ADT</Code>
      <Quantity>1</Quantity>
    </PassengerTypeQuantity>
    <PassengerTypeQuantity>
      <Code>CHD</Code>
      <Quantity>1</Quantity>
    </PassengerTypeQuantity>
  </PassengerTypeQuantities>
  <RequestOptions>Fifty</RequestOptions>
  <NearByAirports>false</NearByAirports>
  <IsResidentFare>false</IsResidentFare>
  <Target>Test</Target>
</AirLowFareSearchRQ>';

$mystiflyServiceAir = new MystiflyServiceAir( $searchApi );

echo '<pre>';
// sample call for MystiflyServiceAir::AirLowFareSearch()
if($mystiflyServiceAir->AirLowFareSearch(new MystiflyStructAirLowFareSearch($searchApi)))
    print_r($mystiflyServiceAir->getResult());
else
    print_r($mystiflyServiceAir->getLastError());
// sample call for MystiflyServiceAir::AirRevalidate()
if($mystiflyServiceAir->AirRevalidate(new MystiflyStructAirRevalidate(/*** update parameters list ***/)))
    print_r($mystiflyServiceAir->getResult());
else
    print_r($mystiflyServiceAir->getLastError());
// sample call for MystiflyServiceAir::AirSeatMap()
if($mystiflyServiceAir->AirSeatMap(new MystiflyStructAirSeatMap(/*** update parameters list ***/)))
    print_r($mystiflyServiceAir->getResult());
else
    print_r($mystiflyServiceAir->getLastError());
// sample call for MystiflyServiceAir::AirSeatReserve()
if($mystiflyServiceAir->AirSeatReserve(new MystiflyStructAirSeatReserve(/*** update parameters list ***/)))
    print_r($mystiflyServiceAir->getResult());
else
    print_r($mystiflyServiceAir->getLastError());
// sample call for MystiflyServiceAir::AirBookingData()
if($mystiflyServiceAir->AirBookingData(new MystiflyStructAirBookingData(/*** update parameters list ***/)))
    print_r($mystiflyServiceAir->getResult());
else
    print_r($mystiflyServiceAir->getLastError());
// sample call for MystiflyServiceAir::AirQuote()
if($mystiflyServiceAir->AirQuote(new MystiflyStructAirQuote(/*** update parameters list ***/)))
    print_r($mystiflyServiceAir->getResult());
else
    print_r($mystiflyServiceAir->getLastError());

/*********************************
 * Example for MystiflyServiceBook
 */
$mystiflyServiceBook = new MystiflyServiceBook();
// sample call for MystiflyServiceBook::BookFlight()
if($mystiflyServiceBook->BookFlight(new MystiflyStructBookFlight(/*** update parameters list ***/)))
    print_r($mystiflyServiceBook->getResult());
else
    print_r($mystiflyServiceBook->getLastError());

/*********************************
 * Example for MystiflyServiceFare
 */
$mystiflyServiceFare = new MystiflyServiceFare();
// sample call for MystiflyServiceFare::FareRules()
if($mystiflyServiceFare->FareRules(new MystiflyStructFareRules(/*** update parameters list ***/)))
    print_r($mystiflyServiceFare->getResult());
else
    print_r($mystiflyServiceFare->getLastError());
// sample call for MystiflyServiceFare::FareRules1_1()
if($mystiflyServiceFare->FareRules1_1(new MystiflyStructFareRules1_1(/*** update parameters list ***/)))
    print_r($mystiflyServiceFare->getResult());
else
    print_r($mystiflyServiceFare->getLastError());

/***********************************
 * Example for MystiflyServiceCancel
 */
$mystiflyServiceCancel = new MystiflyServiceCancel();
// sample call for MystiflyServiceCancel::CancelBooking()
if($mystiflyServiceCancel->CancelBooking(new MystiflyStructCancelBooking(/*** update parameters list ***/)))
    print_r($mystiflyServiceCancel->getResult());
else
    print_r($mystiflyServiceCancel->getLastError());

/***********************************
 * Example for MystiflyServiceTicket
 */
$mystiflyServiceTicket = new MystiflyServiceTicket();
// sample call for MystiflyServiceTicket::TicketOrder()
if($mystiflyServiceTicket->TicketOrder(new MystiflyStructTicketOrder(/*** update parameters list ***/)))
    print_r($mystiflyServiceTicket->getResult());
else
    print_r($mystiflyServiceTicket->getLastError());

/*********************************
 * Example for MystiflyServiceTrip
 */
$mystiflyServiceTrip = new MystiflyServiceTrip();
// sample call for MystiflyServiceTrip::TripDetails()
if($mystiflyServiceTrip->TripDetails(new MystiflyStructTripDetails(/*** update parameters list ***/)))
    print_r($mystiflyServiceTrip->getResult());
else
    print_r($mystiflyServiceTrip->getLastError());

/********************************
 * Example for MystiflyServiceAdd
 */
$mystiflyServiceAdd = new MystiflyServiceAdd();
// sample call for MystiflyServiceAdd::AddBookingNotes()
if($mystiflyServiceAdd->AddBookingNotes(new MystiflyStructAddBookingNotes(/*** update parameters list ***/)))
    print_r($mystiflyServiceAdd->getResult());
else
    print_r($mystiflyServiceAdd->getLastError());

/************************************
 * Example for MystiflyServiceMessage
 */
$mystiflyServiceMessage = new MystiflyServiceMessage();
// sample call for MystiflyServiceMessage::MessageQueues()
if($mystiflyServiceMessage->MessageQueues(new MystiflyStructMessageQueues(/*** update parameters list ***/)))
    print_r($mystiflyServiceMessage->getResult());
else
    print_r($mystiflyServiceMessage->getLastError());

/***********************************
 * Example for MystiflyServiceRemove
 */
$mystiflyServiceRemove = new MystiflyServiceRemove();
// sample call for MystiflyServiceRemove::RemoveMessageQueues()
if($mystiflyServiceRemove->RemoveMessageQueues(new MystiflyStructRemoveMessageQueues(/*** update parameters list ***/)))
    print_r($mystiflyServiceRemove->getResult());
else
    print_r($mystiflyServiceRemove->getLastError());

/**********************************
 * Example for MystiflyServiceMulti
 */
$mystiflyServiceMulti = new MystiflyServiceMulti();
// sample call for MystiflyServiceMulti::MultiAirRevalidate()
if($mystiflyServiceMulti->MultiAirRevalidate(new MystiflyStructMultiAirRevalidate(/*** update parameters list ***/)))
    print_r($mystiflyServiceMulti->getResult());
else
    print_r($mystiflyServiceMulti->getLastError());
// sample call for MystiflyServiceMulti::MultiAirBookFlight()
if($mystiflyServiceMulti->MultiAirBookFlight(new MystiflyStructMultiAirBookFlight(/*** update parameters list ***/)))
    print_r($mystiflyServiceMulti->getResult());
else
    print_r($mystiflyServiceMulti->getLastError());

/************************************
 * Example for MystiflyServiceIntelli
 */
$mystiflyServiceIntelli = new MystiflyServiceIntelli();
// sample call for MystiflyServiceIntelli::IntelliFareSearch()
if($mystiflyServiceIntelli->IntelliFareSearch(new MystiflyStructIntelliFareSearch(/*** update parameters list ***/)))
    print_r($mystiflyServiceIntelli->getResult());
else
    print_r($mystiflyServiceIntelli->getLastError());
// sample call for MystiflyServiceIntelli::IntelliBestBuy()
if($mystiflyServiceIntelli->IntelliBestBuy(new MystiflyStructIntelliBestBuy(/*** update parameters list ***/)))
    print_r($mystiflyServiceIntelli->getResult());
else
    print_r($mystiflyServiceIntelli->getLastError());

/***********************************
 * Example for MystiflyServiceCheck3
 */
$mystiflyServiceCheck3 = new MystiflyServiceCheck3();
// sample call for MystiflyServiceCheck3::Check3DSCardDetails()
if($mystiflyServiceCheck3->Check3DSCardDetails(new MystiflyStructCheck3DSCardDetails(/*** update parameters list ***/)))
    print_r($mystiflyServiceCheck3->getResult());
else
    print_r($mystiflyServiceCheck3->getLastError());
